iOS: This app needs to be updated…

When opening the Collaborate Mobile app on iOS you may see the following warning:

Blackboard Collaborate needs to be updated

This app will not work with future versions of iOS. The developer of this app needs to update it to improve its compatibility.

This means you won’t be able to run the Collaborate app when you update your device to iOS 11, due out later this year.

Blackboard support tell me they continue to support Collaborate with the Original Experience. Their Product Development team is working on an updated version of the app, but can’t provide me with a release date.

Comments are closed.